<p align="center">
  <a href="https://fr.ippon.tech/" target="_blank">
    <img alt="Ippon Technologies Logo" width="100" src="https://fr.ippon.tech/assets/images/common/Logo.svg">
  </a>
</p>

# Ippon Live Coding

## Description

Ce dépôt Git a pour but de partager les différents ateliers pouvant être réalisés durant les sessions live coding d'Ippon Technologies sur sa chaîne Twitch.

-   [Calendrier des lives](https://calendar.google.com/calendar/embed?src=c_07pbpmtv1a4d0iu48tnm6tl328%40group.calendar.google.com&ctz=Europe%2FParis) _A ajouter à votre agenda en cliquant sur le + en bas_
-   [Chaîne Twitch](https://www.twitch.tv/ippontech)
-   [Playlist Youtube (rediffusions)](https://www.youtube.com/playlist?list=PL6IFaLdAcgE3Uj2DYcbbxKJ-9moQe-g0F)

## Kata Live Coding

| Nom                                                                                                                   | Type        | Difficulté |
| --------------------------------------------------------------------------------------------------------------------- | ----------- | ---------- |
| [WordWrap](/word-wrap)                                                                                                | Kata        | Moyenne    |
| [RomanNumerals](/roman-numerals)                                                                                      | Kata        | Facile     |
| [StringCalculator](/string-calculator)                                                                                | Kata        | Moyenne    |
| [C'est une bonne situation ça techlead ?](https://www.youtube.com/watch?v=9tOoXfOE12o)                                | Discussion  |            |
| [TypeScript Pagination Seven](/pagination-seven)                                                                      | Kata        | Moyenne    |
| [GildedRose](/gilded-rose)                                                                                            | Kata        | Enervé     |
| [Borestop](/borestop)                                                                                                 | Application | Moyenne    |
| [UglyTrivia](/ugly-trivia)                                                                                            | Revue Kata  | Moyenne    |
| [Java pagination Seven](/java-pagination-seven)                                                                       | Kata        | Facile     |
| [GreenIT: simple coup de peinture ou réelle démarche écologique ?](https://www.youtube.com/watch?v=liTuZZTCpGc)       | Discussion  |            |
| [Une annonce pour recruter un crafter - Caroline, Chloé, Ianic et Colin](https://www.youtube.com/watch?v=E5AX6Ar1Fog) | Discussion  |            |
| [PadBowl](https://gitlab.com/cdamon/padbowl)                                                                          | Application | Enervé     |
| [A Brief History of Date](/a-brief-history-of-date)                                                                   | Kata        | Moyenne    |
| [Trip service (Java)](/trip-service-kata)                                                                             | Kata        | Moyenne    |
| [Mustache Replacer](/mustache-replacer)                                                                               | Kata        | Facile     |
| [String calculator 2](/string-calculator-2)                                                                           | Kata        | Moyenne    |
| [Proxifier son localhost avec un nginx dockerisé avec Edouard CATTEZ](https://www.youtube.com/watch?v=qWMfRb3zK7k)    | Talk        | Facile     |
| [Dev pour des data scientists, un sale boulot](https://www.youtube.com/watch?v=QK3OJGAresE)                           | Discussion  |            |
| [TCR - Roman Numerals](/tcr-roman-numerals)                                                                           | Kata        | Moyenne    |
| [H2G2 en Java](/java-h2g2)                                                                                            | Kata        | Moyenne    |
| [Back from GDCR avec Maxime, Séraphin, Anthony et Colin](https://www.youtube.com/watch?v=CHfUGdnSX6I)                 | Discussion  |            |
| [Factory patterns](/factory-patterns)                                                                                 | Code&coffee | Facile     |
| [Exceptions](/exceptions)                                                                                             | Code&coffee | Facile     |
| [Puissance 4](/puissance-4)                                                                                           | Kata        | Moyenne    |
| [Trip service (TypeScript)](/trip-service-kata-typescript)                                                            | Kata        | Moyenne    |
| [Roman calculator](/roman-calculator)                                                                                 | Kata        | Moyenne    |
| [Atomic Design I and II](https://gitlab.ippon.fr/arey/pattern-library)                                                | Front       | Moyenne    |
| [H2G2 (TypeScript)](/h2g2)                                                                                            | Kata        | Moyenne    |
| [Java streams](/java-streams)                                                                                         | Code&coffee | Moyenne    |
| [CodingGame Mars Landing Party](https://www.youtube.com/watch?v=FeJa3UnmeHw)                                          | CodingGame  | Moyenne    |
| [Game of life](/game-of-life)                                                                                         | Kata        | Enervé     |
